javax.xml.stream

## Class XMLInputFactory

- java.lang.Object
- - javax.xml.stream.XMLInputFactory

    public abstract class XMLInputFactory
    extends java.lang.Object

### Field Summary

Fields
`static java.lang.String` `ALLOCATOR`
`static java.lang.String` `IS_COALESCING`
`static java.lang.String` `IS_NAMESPACE_AWARE`
`static java.lang.String` `IS_REPLACING_ENTITY_REFERENCES`
`static java.lang.String` `IS_SUPPORTING_EXTERNAL_ENTITIES`
`static java.lang.String` `IS_VALIDATING`
`static java.lang.String` `REPORTER`
`static java.lang.String` `RESOLVER`
`static java.lang.String` `SUPPORT_DTD`

### Constructor Summary

Constructors
`protected` `XMLInputFactory()`

### Method Summary

All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
`abstract XMLEventReader` `createFilteredReader(XMLEventReader reader, EventFilter filter)`
`abstract XMLStreamReader` `createFilteredReader(XMLStreamReader reader, StreamFilter filter)`
`abstract XMLEventReader` `createXMLEventReader(java.io.InputStream stream)`
`abstract XMLEventReader` `createXMLEventReader(java.io.InputStream stream, java.lang.String encoding)`
`abstract XMLEventReader` `createXMLEventReader(java.io.Reader reader)`
`abstract XMLEventReader` `createXMLEventReader(Source source)`
`abstract XMLEventReader` `createXMLEventReader(java.lang.String systemId, java.io.InputStream stream)`
`abstract XMLEventReader` `createXMLEventReader(java.lang.String systemId, java.io.Reader reader)`
`abstract XMLEventReader` `createXMLEventReader(XMLStreamReader reader)`
`abstract XMLStreamReader` `createXMLStreamReader(java.io.InputStream stream)`
`abstract XMLStreamReader` `createXMLStreamReader(java.io.InputStream stream, java.lang.String encoding)`
`abstract XMLStreamReader` `createXMLStreamReader(java.io.Reader reader)`
`abstract XMLStreamReader` `createXMLStreamReader(Source source)`
`abstract XMLStreamReader` `createXMLStreamReader(java.lang.String systemId, java.io.InputStream stream)`
`abstract XMLStreamReader` `createXMLStreamReader(java.lang.String systemId, java.io.Reader reader)`
`abstract XMLEventAllocator` `getEventAllocator()`
`abstract java.lang.Object` `getProperty(java.lang.String name)`
`abstract XMLReporter` `getXMLReporter()`
`abstract XMLResolver` `getXMLResolver()`
`abstract boolean` `isPropertySupported(java.lang.String name)`
`static XMLInputFactory` `newInstance()`
`static XMLInputFactory` `newInstance(java.lang.String factoryId, java.lang.ClassLoader classLoader)`
`abstract void` `setEventAllocator(XMLEventAllocator allocator)`
`abstract void` `setProperty(java.lang.String name, java.lang.Object value)`
`abstract void` `setXMLReporter(XMLReporter reporter)`
`abstract void` `setXMLResolver(XMLResolver resolver)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ALLOCATOR

    public static final java.lang.String ALLOCATOR

See Also:
  Constant Field Values

#### IS_COALESCING

    public static final java.lang.String IS_COALESCING

See Also:
  Constant Field Values

#### IS_NAMESPACE_AWARE

    public static final java.lang.String IS_NAMESPACE_AWARE

See Also:
  Constant Field Values

#### IS_REPLACING_ENTITY_REFERENCES

    public static final java.lang.String IS_REPLACING_ENTITY_REFERENCES

See Also:
  Constant Field Values

#### IS_SUPPORTING_EXTERNAL_ENTITIES

    public static final java.lang.String IS_SUPPORTING_EXTERNAL_ENTITIES

See Also:
  Constant Field Values

#### IS_VALIDATING

    public static final java.lang.String IS_VALIDATING

See Also:
  Constant Field Values

#### REPORTER

    public static final java.lang.String REPORTER

See Also:
  Constant Field Values

#### RESOLVER

    public static final java.lang.String RESOLVER

See Also:
  Constant Field Values

#### SUPPORT_DTD

    public static final java.lang.String SUPPORT_DTD

See Also:
  Constant Field Values

### Constructor Detail

#### XMLInputFactory

    protected XMLInputFactory()

### Method Detail

#### newInstance

    public static XMLInputFactory newInstance()
                                       throws FactoryConfigurationError

Throws:
  `FactoryConfigurationError`

#### newInstance

    public static XMLInputFactory newInstance(java.lang.String factoryId,
                                              java.lang.ClassLoader classLoader)
                                       throws FactoryConfigurationError

Throws:
  `FactoryConfigurationError`

#### createXMLStreamReader

    public abstract XMLStreamReader createXMLStreamReader(java.io.Reader reader)
                                                   throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLStreamReader

    public abstract XMLStreamReader createXMLStreamReader(Source source)
                                                   throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLStreamReader

    public abstract XMLStreamReader createXMLStreamReader(java.io.InputStream stream)
                                                   throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLStreamReader

    public abstract XMLStreamReader createXMLStreamReader(java.io.InputStream stream,
                                                          java.lang.String encoding)
                                                   throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLStreamReader

    public abstract XMLStreamReader createXMLStreamReader(java.lang.String systemId,
                                                          java.io.InputStream stream)
                                                   throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLStreamReader

    public abstract XMLStreamReader createXMLStreamReader(java.lang.String systemId,
                                                          java.io.Reader reader)
                                                   throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLEventReader

    public abstract XMLEventReader createXMLEventReader(java.io.Reader reader)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLEventReader

    public abstract XMLEventReader createXMLEventReader(java.lang.String systemId,
                                                        java.io.Reader reader)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLEventReader

    public abstract XMLEventReader createXMLEventReader(XMLStreamReader reader)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLEventReader

    public abstract XMLEventReader createXMLEventReader(Source source)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLEventReader

    public abstract XMLEventReader createXMLEventReader(java.io.InputStream stream)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLEventReader

    public abstract XMLEventReader createXMLEventReader(java.io.InputStream stream,
                                                        java.lang.String encoding)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### createXMLEventReader

    public abstract XMLEventReader createXMLEventReader(java.lang.String systemId,
                                                        java.io.InputStream stream)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### createFilteredReader

    public abstract XMLStreamReader createFilteredReader(XMLStreamReader reader,
                                                         StreamFilter filter)
                                                  throws XMLStreamException

Throws:
  `XMLStreamException`

#### createFilteredReader

    public abstract XMLEventReader createFilteredReader(XMLEventReader reader,
                                                        EventFilter filter)
                                                 throws XMLStreamException

Throws:
  `XMLStreamException`

#### getXMLResolver

    public abstract XMLResolver getXMLResolver()

#### setXMLResolver

    public abstract void setXMLResolver(XMLResolver resolver)

#### getXMLReporter

    public abstract XMLReporter getXMLReporter()

#### setXMLReporter

    public abstract void setXMLReporter(XMLReporter reporter)

#### setProperty

    public abstract void setProperty(java.lang.String name,
                                     java.lang.Object value)
                              throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### getProperty

    public abstract java.lang.Object getProperty(java.lang.String name)
                                          throws java.lang.IllegalArgumentException

Throws:
  `java.lang.IllegalArgumentException`

#### isPropertySupported

    public abstract boolean isPropertySupported(java.lang.String name)

#### setEventAllocator

    public abstract void setEventAllocator(XMLEventAllocator allocator)

#### getEventAllocator

    public abstract XMLEventAllocator getEventAllocator()